#!BPY
"""
Name: 'Metasequoia (.mqo)...'
Blender: 244
Group: 'Import'
Tip: 'Import from Metasequoia file format (.mqo)'

"""

__author__ = "Nightcalm"
__url__ = "http://nightcalm.net"
__version__ = "2.11a"
__bpydoc__='''\

MQO Importer

This script imports a mqo file and metarials into Blender.
MQO file reading required GANGu module.

Original script&module from http://luxla.net (Thanks! kyk).


2.11a
- GANGu module compile for Blender 2.44(&Python 2.5)
- Change script file name mqo.py to mqo_import.py
- Change Name
- Change author(Thanks kyk)
- Add bpydoc

'''

import GANGu,Blender
from Blender import BGL,Draw
ganguini = Blender.Registry.GetKey("GANGu",1) or dict()
inikeys = ["Target","ColorMap","NormalMap","AlphaMap","Scale"]
gitems = [ Draw.Create(ganguini.setdefault( k,v)) for k, v in zip(inikeys,["","","","",0.1]) ]

def draw():
    global gitems, inikeys, ganguini
    BGL.glClearColor( 0, 0.3, 0.5 , 0. )
    BGL.glClear( BGL.GL_COLOR_BUFFER_BIT )
    BGL.glColor3f( 1.0, 1.0, 1.0 )
    Draw.PushButton("Import", 10, 40, 10, 100, 40)
    BGL.glRasterPos2f( 160, 35 )
    Draw.Text("GANGu MQO Importer")
    BGL.glRasterPos2f( 160, 15 )
    Draw.Text("Powered by Boost Library")
    for name, gitem, ev, posy in zip( inikeys, gitems, range(2,7), range(80,230,30) ):
        BGL.glRasterPos2f( 20, posy )
        Draw.Text( name )
        Draw.PushButton( str(gitem.val), ev, 100, posy, 200, 20)

def gevent(ev):
    global gitems, inikeys, ganguini
    def change_value( val ):
        if val:
            gitems[ev-2].val = val
            ganguini[ inikeys[ev-2] ] = val
    if ev is 10:
        Blender.Registry.SetKey("GANGu",ganguini,True)
        GANGu.readmqo( ganguini["Target"] )
    elif ev is 6:
        change_value( Draw.PupFloatInput("scale", ganguini["Scale"], 0.01, 1.0, 5, 3))
    elif ev in [2,3,4,5]:
        Blender.Window.FileSelector( change_value, inikeys[ev-2], ganguini[inikeys[ev-2]] )
    Draw.Redraw()

Draw.Register(draw, lambda e,v: e == Draw.ESCKEY and not v and Blender.Draw.Exit() , gevent)